Last Comment Bug 72359 - Anonymous table cells get extra margins?
: Anonymous table cells get extra margins?
Status: RESOLVED FIXED
[Hixie-P4] [have fix]
: css2, testcase
Product: Core
Classification: Components
Component: Layout: Tables (show other bugs)
: Trunk
: All All
: -- minor (vote)
: mozilla1.0.1
Assigned To: Hixie (not reading bugmail)
: Amarendra Hanumanula
Mentors:
http://www.hixie.ch/tests/adhoc/css/b...
Depends on: 72358 78695
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-17 14:43 PST by Hixie (not reading bugmail)
Modified: 2014-04-25 15:15 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (414 bytes, patch)
2003-05-27 22:53 PDT, Bernd
bernd_mozilla: review+
dbaron: superreview+
Details | Diff | Review

Description Hixie (not reading bugmail) 2001-03-17 14:43:36 PST
It appears that the anonymous cell marked in the fragment below with "***" is
getting an extra margin.

  <float xmlns="http://www.example.org/">
   <!--table-->
    <!--row-->
     <cell>THERE</cell>
    <!--/row-->
    <row>
     <!--cell-->   <!-- *** -->
      <table>
       <!--row-->
        <cell>SHOULD B</cell>
        <cell>E N</cell>
        <cell>O RED</cell>
       <!--/row-->
      </table>
     <!--/cell-->
    </row>
    <cell>ANYWHERE</cell>
   <!--/table-->
  </float>

See http://www.hixie.ch/tests/adhoc/css/box/table/001.xml for a test case.
Note that until bug 72358 is fixed it will be hard to see this bug.
Comment 1 karnaze (gone) 2001-03-17 18:02:50 PST
Moving to m1.0
Comment 2 Amarendra Hanumanula 2001-03-22 13:12:27 PST
QA contact update
Comment 3 Hixie (not reading bugmail) 2001-05-21 15:45:51 PDT
Hyatt has a fix for this on his branch.
Comment 4 Peter Trudelle 2001-06-01 16:59:56 PDT
not fixed on branch, ->1.0
Comment 5 Hixie (not reading bugmail) 2001-06-22 03:59:12 PDT
Incidentally, the fix is simply to remove the padding on :table-cell and move it
to the <td> rule. We just need the table folk to agree to it. Karnaze?
Comment 6 basic 2001-08-15 00:29:21 PDT
what's the status on this?
Comment 7 basic 2002-02-20 17:44:45 PST
status?
Comment 8 Hixie (not reading bugmail) 2002-02-21 00:12:20 PST
Taking bug
Comment 9 karnaze (gone) 2002-02-21 07:18:32 PST
ian, if you make this change, then you need to run the block and table 
regression tests.
Comment 10 Hixie (not reading bugmail) 2002-02-21 07:30:36 PST
you bet
Comment 11 Greg K. 2002-07-14 01:07:36 PDT
Reconfirmed using FizzillaCFM/2002071208. Setting All/All.
Comment 12 Bernd 2003-05-27 22:53:39 PDT
Created attachment 124334 [details] [diff] [review]
patch

we can safely remove this from ua.css as it is duplicated at html.css
http://lxr.mozilla.org/seamonkey/source/layout/html/document/src/html.css#231
and
http://lxr.mozilla.org/seamonkey/source/layout/html/document/src/html.css#238

I runned the regression tests:
the tests that failed are: 
http://lxr.mozilla.org/seamonkey/source/layout/html/tests/table/bugs/bug2479-1.html

 and the 2479-2 ...

http://lxr.mozilla.org/seamonkey/source/layout/html/tests/table/bugs/bug30985.html


the tests 2479-xx are made by hixie , so the probability that one will ever see
them in normal life is zero.
Comment 13 Bernd 2003-05-31 02:30:47 PDT
fix + testcase checked in

Note You need to log in before you can comment on or make changes to this bug.